<template>
  <div class="">
    <Echart
      :id="id"
      ref="barChart"
      :options="options"
      :height="height"
      :width="width"
    ></Echart>
  </div>
</template>

<script>
import Echart from "@/common/echart";

export default {
  name: "rankbarchart",
  components: {
    Echart,
  },
  props: {
    id: {
      type: String,
      default: "rankbarchart",
    },
    width: {
      type: String,
      default: "100%",
    },
    height: {
      type: String,
      default: "520px",
    },
    cdata: {
      type: Array,
      default: () => [],
    },
  },
  data() {
    return {
      options: {},
    };
  },
  created() {},
  mounted() {},
  methods: {
    resetOption(newData) {
      this.options = {
        title: {
          text: "各地市医院案例数据",
        },
        tooltip: {
          trigger: "axis",
          axisPointer: {
            type: "shadow",
          },
        },
        grid: {
          top: "5%",
          left: "0",
          right: "3%",
          bottom: "3%",
          containLabel: true,
        },
        xAxis: {
          type: "value",
          boundaryGap: [0, 0.01],
          show: false,
        },
        yAxis: {
          type: "category",
          data: [
            "医院0005",
            "医院0001",
            "医院0002",
            "医院0003",
            "医院0004",
            "全部医院",
          ],
          axisLine: {
            show: false,
          },
          axisLabel: {
            textStyle: {
              color: "#566f94", //更改坐标轴文字颜色
              fontSize: 14, //更改坐标轴文字大小
            },
          },
        },
        series: [
          {
            name: "案例数据",
            type: "bar",
            barWidth: 30, //柱图宽度
            data: [110, 80, 110, 30, 50, 500],
          },
        ],
      };
    },
  },
  computed: {},
  watch: {
    cdata: {
      handler(newData) {
        this.resetOption(newData);
      },
      immediate: true,
      deep: true,
    },
  },
};
</script>

<style lang="scss" scoped>
</style>
